import 'package:http/http.dart' as http;
import 'package:spyce/spyce.dart';

class GithubApi extends Job {
  String user;

  GithubApi(this.user) : super('https://api.github.com/users/$user/repos');

  @override
  Future<void> exec(Runner runner, Service srv) async {
    print((await srv['http'].get(name)).body);
  }
}

Future<void> main(List<String> args) async {
  var user = args.isNotEmpty ? args[0] : 'github';
  var srv = Service();
  srv['http'] = http.Client();
  var runner = Runner('localhost', srv);
  runner.submit(GithubApi(user));
  if (!await runner.start()) {
    print('Runner failed to start');
  }
}
